﻿$ErrorActionPreference = 'Stop'; # stop on all errors


$packageName  = 'ZoomMSI'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'ZoomInstallerFull.msi'

$packageArgs = @{
  packageName   = $packageName
  file          = $fileLocation
  fileType      = 'msi' #only one of these: exe, msi, msu
  silentArgs    = '/quiet /qn /norestart /log install.log ZoomAutoUpdate=true ZConfig=nofacebook=1;kCmdParam_InstallOption=64'
  validExitCodes= @(0, 3010, 1605, 1614, 1641)
}

Install-ChocolateyInstallPackage @packageArgs